ANFO(1)

NAME
anfo - find best alignment of short reads to database

SYNOPSIS
anfo [ option | file ... ]

DESCRIPTION
anfo aligns (short) sequencing reads to a (gigabase sized) database. It uses a heuristic seeding method, but then applies a genuine aligner that allows gaps, understands damage patterns in ancient dna and produces an easy to interpret score. Input files can be any variety of FastA or FastQ files, or a native anfo binary file, optinally compressed using gziporbzip2. The file format is automatically recognized and other formats may be added.

OPTIONS

-V, --version
    Print version number and exit.

-o file, --output file
    Write output to file. file will be written in the native anfo binary format, which can be operated upon using anfo-tool or the bindings to guile.

-c conffile, --config conffile
    Read configuration from conffile. This file configures which indices are used, and by extension to which genomes an alignment is made, what parameters to use in the aligner and can set paths. See the example file.

-p num, --threads num
    Start num threads for alignment. One such thread per processor core is usually best.

-x num, --ixthreads num
    Start num threads for indexing. Indexing normally uses less cpu power than alignment, so fewer indexers than aligners is normally best.

--solexa-scale
    When reading FastQ files, use the Solexa scale (log-odds-ratios) instead of the standard Phread scale (probabilities). If you use Solexa/Illumina sequencers, refer to your documentation whether you need this. Else you don't.

--fastq-origin ori
    Set origin for FastQ decoding to ori. The standard and default is 33, but it must be set to 64 for some versions of the Solexa/Illumina software. If you use Solexa/Illumina sequencers, refer to your documentation whether you need this. Else you don't.

-q, --quiet
    Suppress all output except fatal errors.

-v, --verbose
    Print a progress indicator during operation.

ENVIRONMENT

ANFO_PATH
    Colon separated list of directories searched for genome and index files.

FILES
/etc/popt
    The system wide configuration file for popt(3). anfo identifies itself as "anfo" to popt.
~/.popt
    Per user configuration file for popt(3).
/usr/share/doc/anfo/example/*.cfg
    Example configuration files to be used with anfo.

BUGS
None known.

AUTHOR
Udo Stenzel <udo_stenzel@eva.mpg.de>

SEE ALSO
http://bioinf.eva.mpg.de/anfo anfo-tool(1), anfo-sge(1), fa2dna(1), dnaindex(1), popt(3), fasta(5)